# frozen_string_literal: true

# NOTE:
# https://github.com/Netflix/batch_request_api/blob/master/lib/batch_request_api/railtie.rb
module EurekaRuby
  class Railtie < Rails::Railtie
    config.app_middleware.insert 0, EurekaRuby::Middleware

    rake_tasks do
      load 'tasks/eureka.rake'
    end
  end
end
